Skip to content

Get a category tree

GET
/web-pages/page/trees/{categoryNodeId}
Required scope: webpage:read

Returns the hierarchical category tree from a specific category that will be seen as the root of the tree.

Parameters ​

Path parameters

categoryNodeId  string
Format: uuid
ID of a category. Retrieves the tree starting from this category as root.

Query parameters

countryCode  string
Country code to retrieve the categories' paths for. This or contentLocaleId must be provided.
languageCode  string
Language code (in ISO 639-1 format) to retrieve the categories' paths for. This or contentLocaleId must be provided.
contentLocaleId  string
The content locale to retrieve the categories' paths for. This or countryCode and languageCode combination must be provided.

Response ​

The hierarchical category tree is successfully retrieved.